Get carrier by ID
Fetch a carrier by its carrier ID. Returns the carrier with associated managers and contacts.
Path Parameters
- Type: string
carrier Id requiredAugment's carrier identifier, returned as
carrierIdin the create/update carrier response.
Responses
- application/json
- application/json
- application/json
Request Example for get/v1/carriers/{carrierId}
curl 'https://api.prod.goaugment.com/v1/carriers/{carrierId}' \
--header 'Authorization: Basic username:password'
{
"id": "string",
"name": "string",
"tmsId": "string",
"status": {
"code": "ACTIVE",
"reason": "string"
},
"complianceStatus": {
"codes": {
"additionalProperty": "string"
}
},
"mcNumber": 1,
"dotNumber": 1,
"scac": "string",
"address": {
"street1": "string",
"street2": "string",
"city": "string",
"stateOrProvince": "string",
"postalCode": "string",
"country": "string",
"name": "string",
"company": "string"
},
"email": "string",
"phone": "string",
"phoneExtension": "string",
"managers": [
{
"id": "string",
"name": "string",
"tmsId": "string",
"roles": [
"CARRIER_REP"
],
"preferredContactMode": "EMAIL",
"email": "string",
"phone": "string",
"phoneExtension": "string"
}
],
"contacts": [
{
"id": "string",
"name": "string",
"tmsId": "string",
"roles": [
"ACCOUNTANT"
],
"preferredContactMode": "EMAIL",
"email": "string",
"phone": "string",
"phoneExtension": "string"
}
],
"notes": "string",
"customData": {
"tier": "gold",
"score": 98.5,
"verified": true,
"aliases": [
"Acme Freight",
"Acme Carriers LLC"
],
"routing": {
"defaultRegion": "NS",
"allowCrossBorder": false
}
}
}
